add_library(gui
    "src/bar.c"
    "src/button.c"
    "src/button_sprite.c"
    "src/button_type1.c"
    "src/checkbox.c"
    "src/container.c"
    "src/gui.c"
    "src/label.c"
    "src/line_edit.c"
    "src/progress_bar.c"
    "src/rounded_rect.c"
)
target_include_directories(gui PUBLIC "inc" PRIVATE "privinc")
target_link_libraries(gui PUBLIC camera gfx input net peripheral font)
